LinuxQMISDK: swiQosFlow Struct Reference

LinuxQMISDK SLQS03.03.07

- Main Page
- Modules
- References
- Data Structures

- Data Structures
- Data Fields

Data Fields
swiQosFlow Struct Reference

## Data Fields
BYTE | index
WORD * | pProfileId3GPP2
BYTE * | p3GPP2Pri
BYTE * | pTrafficClass
dataRate * | pDataRate
tokenBucket * | pTokenBucket
ULONG * | pLatency
ULONG * | pJitter
pktErrRate * | pPktErrRate
ULONG * | pMinPolicedPktSz
ULONG * | pMaxAllowedPktSz
WORD * | p3GPPResResidualBER
BYTE * | p3GPPTraHdlPri
BYTE * | p3GPPImCn
BYTE * | p3GPPSigInd
BYTE * | pLteQci

## Detailed Description

This structure contains the QoS Flow Request

Parameters

  index | IP flow index Integer that uniquely identifies each flow instance Unique index must be assigned by the control point to every flow_spec instance
  pProfileId3GPP2 | IP flow 3GPP2 profile ID A profile ID is shorthand for a defined set of QoS flow parameters specified by the network; to be present while requesting QoS for a CDMA device
  p3GPP2Pri | IP flow 3GPP2 flow priority Flow priority used by the network in case of contention between flows with same QoS; this parameter applies for CDMA devices
  pTrafficClass | IP flow traffic class Integer that designates the requested traffic class: 0 – Conversational 1 – Streaming 2 – Interactive 3 – Background
  pDataRate | IP flow data rate min max See dataRate for more information
  pTokenBucket | IP flow data rate token bucket See tokenBucket for more information
  pLatency | IP flow latency Maximum delay (in milliseconds) that can be tolerated by an IP packet during transfer through the wireless link
  pJitter | IP flow jitter Difference between the maximum and minimum latency (in milliseconds) that can be tolerated by an IP packet during the transfer through the wireless link
  pPktErrRate | IP flow packet error rate See pktErrRate for more information
  pMinPolicedPktSz | IP flow minimum policed packet size Integer that defines the minimum packet size (in bytes) that will be policed for QoS guarantees; any IP packets that are smaller than the minimum specified policed size may not receive requested QoS
  pMaxAllowedPktSz | IP flow maximum allowed packet size Integer that defines the maximum packet size (in bytes) allowed in the IP flow; any IP packets greater in size than the maximum allowed packet size are not queued for transmission
  p3GPPResResidualBER | IP flow 3GPP residual bit error rate residual_bit_error_rate 0 = 5*10-2 residual BER 1 = 1*10-2 residual BER 2 = 5*10-3 residual BER 3 = 4*10-3 residual BER 4 = 1*10-3 residual BER 5 = 1*10-4 residual BER 6 = 1*10-5 residual BER 7 = 1*10-6 residual BER 8 = 6*10-8 residual BER Integer that indicates the undetected BER for each IP flow in the delivered packets; Tapplies only to 3GPP networks
  p3GPPTraHdlPri | 3GPP traffic handling priority 0 – Relative traffic handling priority 1 1 – Relative traffic handling priority 2 2 – Relative traffic handling priority 3 Defines the relative priority of the flow; applies only to 3GPP networks
  p3GPPImCn | IP flow 3GPP IM CN flag IM CN subsystem signaling flag: 0x00 – FALSE 0x01 – TRUE This parameter applies only to 3GPP networks
  p3GPPSigInd | IP flow 3GPP signaling indication 0x00 – FALSE 0x01 – TRUE This parameter applies only to 3GPP networks
  pLteQci | LTE QoS Class Identifier QoS Class Identifier(QCI) is a required parameter to request QoS in LTE QCI values: QCI value 0 requests the network to assign the appropriate QCI value QCI values 1-4 are associated with guaranteed bitrates QCI values 5-9 are associated with nonguaranteed bitrates, so the values specified as guaranteed and maximum bitrates are ignored

## Field Documentation

BYTE swiQosFlow::index

BYTE* swiQosFlow::p3GPP2Pri

BYTE* swiQosFlow::p3GPPImCn

WORD* swiQosFlow::p3GPPResResidualBER

BYTE* swiQosFlow::p3GPPSigInd

BYTE* swiQosFlow::p3GPPTraHdlPri

dataRate* swiQosFlow::pDataRate

ULONG* swiQosFlow::pJitter

ULONG* swiQosFlow::pLatency

BYTE* swiQosFlow::pLteQci

ULONG* swiQosFlow::pMaxAllowedPktSz

ULONG* swiQosFlow::pMinPolicedPktSz

pktErrRate* swiQosFlow::pPktErrRate

WORD* swiQosFlow::pProfileId3GPP2

tokenBucket* swiQosFlow::pTokenBucket

BYTE* swiQosFlow::pTrafficClass